# -*- coding: utf-8 -*-

from libastra_csp.certificate_indentity import CertificateIndentity


class Certificate(dict):
    def __init__(self, fingerprint: str, subject: CertificateIndentity, view_output: str) -> None:
        super().__init__()
        self.__fingerprint = fingerprint
        self.__subject = subject
        self.__view_output = view_output

    def __repr__(self) -> str:
        return self.fingerprint + ' ' + str(self.subject)

    @property
    def fingerprint(self) -> str:
        return self.__fingerprint

    @property
    def subject(self) -> CertificateIndentity:
        return self.__subject

    @property
    def view_output(self) -> str:
        return self.__view_output
