# -*- coding: utf-8 -*-

from typing import List

from PyQt5.QtCore import QObject

from libastra_csp.base_thread import BaseThread
from libastra_csp.zip_archiver import ZipArchiver


class UnpackArchiveThread(BaseThread):
    def __init__(self,
                 archive: ZipArchiver,
                 filenames: List[str] = None,
                 parent: QObject = None) -> None:
        super().__init__(parent)
        self.__archive = archive
        self.__filenames = filenames

    def run(self) -> None:
        try:
            self.__archive.unpack(self.__filenames)
        except Exception as exception:
            self._error = str(exception)
        self._terminated = False
